trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: May 2011

Re: [trinity-devel] poppler-qt3 NEED HELP - Anybody got it building with current poppler-qt & gcc 4.6?

From: /dev/ammo42 <mickeytintincolle@...>
Date: Tue, 10 May 2011 01:41:01 +0200
Le Mon, 09 May 2011 18:31:22 -0500,
"David C. Rankin" <drankinatty@...> a écrit :

> All, (Baho and Calvin especially)
> 
>    I need to get poppler-qt3 building to enable -DWITH_PDF=ON in
> kdegraphics. Right now I have kdegraphics on Arch building with:
> 
>    cmake ${srcdir}/${_svnmod} \
>      -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
>      -DCMAKE_VERBOSE_MAKEFILE=ON \
>      -DQT_VERSION=3 \
>      -DCMAKE_CXX_FLAGS="-fpermissive" \
>      -DWITH_T1LIB=ON \
>      -DWITH_LIBPAPER=ON \
>      -DWITH_TIFF=ON \
>      -DWITH_OPENEXR=ON \
>      -DWITH_PAM=ON \
>      -DBUILD_ALL=ON
>    make
> 
> #     -DWITH_PDF=ON \ (waiting on poppler-qt3)
> 
>    poppler-qt3 was building a month or so ago, but now I'm stuck. The
> regular arch version built up until the gcc 4.6 change (or just a
> little before). Now on the regular Arch install it fails with the
> following error:
> 
> make[2]: Entering directory 
> `/home/david/arch/pkg/bld/poppler-qt3/src/poppler-0.16.4/qt'
>    CXX    poppler-document.lo
> In file included from /opt/qt/include/qstringlist.h:45:0,
>                   from /opt/qt/include/qcolor.h:46,
>                   from /opt/qt/include/qpixmap.h:46,
>                   from ./poppler-qt.h:33,
>                   from poppler-document.cc:23:
> /opt/qt/include/qvaluelist.h:91:13: error: 'ptrdiff_t' does not name
> a type /opt/qt/include/qvaluelist.h:167:13: error: 'ptrdiff_t' does
> not name a type In file included
> from /opt/qt/include/qstringlist.h:45:0,
> from /opt/qt/include/qcolor.h:46, from /opt/qt/include/qpixmap.h:46,
>                   from ./poppler-qt.h:33,
>                   from poppler-document.cc:23:
> /opt/qt/include/qvaluelist.h:427:13: error: 'ptrdiff_t' does not name
> a type make[2]: *** [poppler-document.lo] Error 1
> make[2]: Leaving directory 
> `/home/david/arch/pkg/bld/poppler-qt3/src/poppler-0.16.4/qt'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory
> `/home/david/arch/pkg/bld/poppler-qt3/src/poppler-0.16.4' make: ***
> [all] Error 2 ==> ERROR: A failure occurred in build().
>      Aborting...
> <bigsnip>
>    I need help sorting both out. Anybody see anything that sticks out
> above?
Can't you use the non-trinity poppler-qt3 and correct the build error
by #include'ing <cstddef> ? It's a gcc-4.6 related error again.